Package com.orchestranetworks.ui.toolbar

# Interface Toolbar

public interface Toolbar
Allows to define a toolbar.

To create a new toolbar, please use `ToolbarFactory.newToolbar(ToolbarLocation...)`.

Since:
  5.7.1
See Also:
  - `ToolbarFactory.newToolbar(ToolbarLocation...)`
  - `UIFormHeader.setToolbar(Toolbar)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ToolbarActionButton`
  `addActionButton(UserMessage aLabel)`
  Creates a new instance of an action button and adds it directly in this toolbar.
  `ToolbarActionButton`
  `addActionButton(String aLabel)`
  Creates a new instance of an action button and adds it directly in this toolbar.
  `ToolbarMenuButton`
  `addMenuButton(UserMessage aLabel)`
  Creates a new instance of a menu button and adds it directly in this toolbar.
  `ToolbarMenuButton`
  `addMenuButton(String aLabel)`
  Creates a new instance of a menu button and adds it directly in this toolbar.
  `void`
  `addSeparator()`
  Adds a separator between two buttons in the toolbar.

- ## Method Details

  - ### addActionButton

    ToolbarActionButton addActionButton(UserMessage aLabel)
    Creates a new instance of an action button and adds it directly in this toolbar.
    Returns:
      the new instance of the action button so that it can be modified.

  - ### addActionButton

    ToolbarActionButton addActionButton(String aLabel)
    Creates a new instance of an action button and adds it directly in this toolbar.
    Returns:
      the new instance of the action button so that it can be modified.

  - ### addMenuButton

    ToolbarMenuButton addMenuButton(UserMessage aLabel)
    Creates a new instance of a menu button and adds it directly in this toolbar.
    Returns:
      the new instance of the menu button so that it can be modified.

  - ### addMenuButton

    ToolbarMenuButton addMenuButton(String aLabel)
    Creates a new instance of a menu button and adds it directly in this toolbar.
    Returns:
      the new instance of the menu button so that it can be modified.

  - ### addSeparator

    void addSeparator()
    Adds a separator between two buttons in the toolbar.